const { defineConfig } = require("@vue/cli-service");
const path = require("path");
module.exports = defineConfig({
  //打包清除console
  chainWebpack(config) {
    config.optimization.minimizer("terser").tap((args) => {
      args[0].terserOptions.compress.drop_console = true;
      return args;
    });
  },
  productionSourceMap: false, // 生产环境是否要生成 sourceMap
  publicPath: process.env.PUBLIC_PATH ? process.env.PUBLIC_PATH : "./", //   部署应用包时的基本 URL
  //assetsPublicPath: process.env.NODE_ENV === "production" ? "" : "/",
  outputDir: "dist", //   打包时输出的文件目录
  assetsDir: "static", //   放置静态文件夹目录
  transpileDependencies: true,
  lintOnSave: false,
  pluginOptions: {
    "style-resources-loader": {
      preProcessor: "less",
      patterns: [
        // 这个是加上自己的路径
        path.resolve(__dirname, "./src/assets/css/global.less"),
      ],
    },
  },
  devServer: {
    proxy: {
      "/api": {
        //表示拦截以/api开头的请求路径
        target: "http://47.96.238.157:8093", //阿里云服务器环境
        // target: "http://180.166.218.222:40080", //dell
        changOrigin: true, //是否开启跨域
        pathRewrite: {
          "^/api": "", //重写api，把api变成空字符，因为我们真正请求的路径是没有api的
        },
      },
    },
  },
});
